Package org.flowable.cmmn.model

# Class CmmnModel

java.lang.Object
org.flowable.cmmn.model.CmmnModel

public class CmmnModel extends Object

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Association>`
  `associations`
  `protected String`
  `author`
  `protected List<Case>`
  `cases`
  `protected Date`
  `creationDate`
  `protected Map<String,Criterion>`
  `criterionMap`
  `protected Map<String,String>`
  `criterionTechnicalIdMap`
  `protected List<Decision>`
  `decisions`
  `protected Map<String,List<ExtensionAttribute>>`
  `definitionsAttributes`
  `protected Map<String,CmmnDiEdge>`
  `edgeMap`
  `protected String`
  `exporter`
  `protected String`
  `exporterVersion`
  `protected String`
  `expressionLanguage`
  `protected Map<String,List<GraphicInfo>>`
  `flowLocationMap`
  `protected String`
  `id`
  `protected Map<String,GraphicInfo>`
  `labelLocationMap`
  `protected Map<String,GraphicInfo>`
  `locationMap`
  `protected String`
  `name`
  `protected Map<String,String>`
  `namespaceMap`
  `protected List<Process>`
  `processes`
  `protected String`
  `targetNamespace`
  `protected List<TextAnnotation>`
  `textAnnotations`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CmmnModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAssociation(Association association)`
  `void`
  `addCase(Case caze)`
  `void`
  `addCriterion(String key, Criterion criterion)`
  `void`
  `addCriterionTechnicalId(String technicalId, String id)`
  `void`
  `addDecision(Decision decision)`
  `void`
  `addDefinitionsAttribute(ExtensionAttribute attribute)`
  `void`
  `addEdgeInfo(String key, CmmnDiEdge edgeInfo)`
  `void`
  `addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addLabelGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addNamespace(String prefix, String uri)`
  `void`
  `addProcess(Process process)`
  `void`
  `addTextAnnotation(TextAnnotation textAnnotation)`
  `boolean`
  `containsNamespacePrefix(String prefix)`
  `PlanItem`
  `findPlanItem(String id)`
  `PlanItem`
  `findPlanItemByPlanItemDefinitionId(String id)`
  `PlanItemDefinition`
  `findPlanItemDefinition(String id)`
  `TextAnnotation`
  `findTextAnnotation(String id)`
  `List<Association>`
  `getAssociations()`
  `String`
  `getAuthor()`
  `Case`
  `getCaseById(String id)`
  `List<Case>`
  `getCases()`
  `Date`
  `getCreationDate()`
  `Criterion`
  `getCriterion(String key)`
  `String`
  `getCriterionId(String technicalId)`
  `Decision`
  `getDecisionById(String id)`
  `Collection<Decision>`
  `getDecisions()`
  `Map<String,List<ExtensionAttribute>>`
  `getDefinitionsAttributes()`
  `String`
  `getDefinitionsAttributeValue(String namespace, String name)`
  `CmmnDiEdge`
  `getEdgeInfo(String key)`
  `Map<String,CmmnDiEdge>`
  `getEdgeMap()`
  `String`
  `getExporter()`
  `String`
  `getExporterVersion()`
  `String`
  `getExpressionLanguage()`
  `List<GraphicInfo>`
  `getFlowLocationGraphicInfo(String key)`
  `Map<String,List<GraphicInfo>>`
  `getFlowLocationMap()`
  `GraphicInfo`
  `getGraphicInfo(String key)`
  `String`
  `getId()`
  `GraphicInfo`
  `getLabelGraphicInfo(String key)`
  `Map<String,GraphicInfo>`
  `getLabelLocationMap()`
  `Map<String,GraphicInfo>`
  `getLocationMap()`
  `String`
  `getName()`
  `String`
  `getNamespace(String prefix)`
  `Map<String,String>`
  `getNamespaces()`
  `Case`
  `getPrimaryCase()`
  `Process`
  `getProcessById(String id)`
  `List<Process>`
  `getProcesses()`
  `String`
  `getTargetNamespace()`
  `List<TextAnnotation>`
  `getTextAnnotations()`
  `void`
  `removeFlowGraphicInfoList(String key)`
  `void`
  `removeGraphicInfo(String key)`
  `void`
  `removeLabelGraphicInfo(String key)`
  `void`
  `setAssociations(List<Association> associations)`
  `void`
  `setAuthor(String author)`
  `void`
  `setCases(List<Case> cases)`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setDefinitionsAttributes(Map<String,List<ExtensionAttribute>> attributes)`
  `void`
  `setExporter(String exporter)`
  `void`
  `setExporterVersion(String exporterVersion)`
  `void`
  `setExpressionLanguage(String expressionLanguage)`
  `void`
  `setId(String id)`
  `void`
  `setName(String name)`
  `void`
  `setProcesses(List<Process> processes)`
  `void`
  `setTargetNamespace(String targetNamespace)`
  `void`
  `setTextAnnotations(List<TextAnnotation> textAnnotations)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### name

    protected String name

  - ### targetNamespace

    protected String targetNamespace

  - ### expressionLanguage

    protected String expressionLanguage

  - ### exporter

    protected String exporter

  - ### exporterVersion

    protected String exporterVersion

  - ### author

    protected String author

  - ### creationDate

    protected Date creationDate

  - ### definitionsAttributes

    protected Map<String,List<ExtensionAttribute>> definitionsAttributes

  - ### cases

    protected List<Case> cases

  - ### processes

    protected List<Process> processes

  - ### decisions

    protected List<Decision> decisions

  - ### associations

    protected List<Association> associations

  - ### textAnnotations

    protected List<TextAnnotation> textAnnotations

  - ### criterionMap

    protected Map<String,Criterion> criterionMap

  - ### criterionTechnicalIdMap

    protected Map<String,String> criterionTechnicalIdMap

  - ### locationMap

    protected Map<String,GraphicInfo> locationMap

  - ### labelLocationMap

    protected Map<String,GraphicInfo> labelLocationMap

  - ### flowLocationMap

    protected Map<String,List<GraphicInfo>> flowLocationMap

  - ### edgeMap

    protected Map<String,CmmnDiEdge> edgeMap

  - ### namespaceMap

    protected Map<String,String> namespaceMap

- ## Constructor Details

  - ### CmmnModel

    public CmmnModel()

- ## Method Details

  - ### addCase

    public void addCase(Case caze)

  - ### getPrimaryCase

    public Case getPrimaryCase()

  - ### getCaseById

    public Case getCaseById(String id)

  - ### addProcess

    public void addProcess(Process process)

  - ### getProcessById

    public Process getProcessById(String id)

  - ### addDecision

    public void addDecision(Decision decision)

  - ### getDecisionById

    public Decision getDecisionById(String id)

  - ### getDecisions

    public Collection<Decision> getDecisions()

  - ### findPlanItemDefinition

    public PlanItemDefinition findPlanItemDefinition(String id)

  - ### findPlanItem

    public PlanItem findPlanItem(String id)

  - ### findPlanItemByPlanItemDefinitionId

    public PlanItem findPlanItemByPlanItemDefinitionId(String id)

  - ### addAssociation

    public void addAssociation(Association association)

  - ### findTextAnnotation

    public TextAnnotation findTextAnnotation(String id)

  - ### addTextAnnotation

    public void addTextAnnotation(TextAnnotation textAnnotation)

  - ### addCriterion

    public void addCriterion(String key, Criterion criterion)

  - ### getCriterion

    public Criterion getCriterion(String key)

  - ### addCriterionTechnicalId

    public void addCriterionTechnicalId(String technicalId, String id)

  - ### getCriterionId

    public String getCriterionId(String technicalId)

  - ### addGraphicInfo

    public void addGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### getGraphicInfo

    public GraphicInfo getGraphicInfo(String key)

  - ### removeGraphicInfo

    public void removeGraphicInfo(String key)

  - ### getFlowLocationGraphicInfo

    public List<GraphicInfo> getFlowLocationGraphicInfo(String key)

  - ### removeFlowGraphicInfoList

    public void removeFlowGraphicInfoList(String key)

  - ### getLocationMap

    public Map<String,GraphicInfo> getLocationMap()

  - ### getFlowLocationMap

    public Map<String,List<GraphicInfo>> getFlowLocationMap()

  - ### getEdgeInfo

    public CmmnDiEdge getEdgeInfo(String key)

  - ### addEdgeInfo

    public void addEdgeInfo(String key, CmmnDiEdge edgeInfo)

  - ### getEdgeMap

    public Map<String,CmmnDiEdge> getEdgeMap()

  - ### getLabelGraphicInfo

    public GraphicInfo getLabelGraphicInfo(String key)

  - ### addLabelGraphicInfo

    public void addLabelGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### removeLabelGraphicInfo

    public void removeLabelGraphicInfo(String key)

  - ### getLabelLocationMap

    public Map<String,GraphicInfo> getLabelLocationMap()

  - ### addFlowGraphicInfoList

    public void addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getTargetNamespace

    public String getTargetNamespace()

  - ### setTargetNamespace

    public void setTargetNamespace(String targetNamespace)

  - ### getExpressionLanguage

    public String getExpressionLanguage()

  - ### setExpressionLanguage

    public void setExpressionLanguage(String expressionLanguage)

  - ### getExporter

    public String getExporter()

  - ### setExporter

    public void setExporter(String exporter)

  - ### getExporterVersion

    public String getExporterVersion()

  - ### setExporterVersion

    public void setExporterVersion(String exporterVersion)

  - ### getAuthor

    public String getAuthor()

  - ### setAuthor

    public void setAuthor(String author)

  - ### getCreationDate

    public Date getCreationDate()

  - ### setCreationDate

    public void setCreationDate(Date creationDate)

  - ### getCases

    public List<Case> getCases()

  - ### setCases

    public void setCases(List<Case> cases)

  - ### getProcesses

    public List<Process> getProcesses()

  - ### setProcesses

    public void setProcesses(List<Process> processes)

  - ### getAssociations

    public List<Association> getAssociations()

  - ### setAssociations

    public void setAssociations(List<Association> associations)

  - ### getTextAnnotations

    public List<TextAnnotation> getTextAnnotations()

  - ### setTextAnnotations

    public void setTextAnnotations(List<TextAnnotation> textAnnotations)

  - ### addNamespace

    public void addNamespace(String prefix, String uri)

  - ### containsNamespacePrefix

    public boolean containsNamespacePrefix(String prefix)

  - ### getNamespace

    public String getNamespace(String prefix)

  - ### getNamespaces

    public Map<String,String> getNamespaces()

  - ### getDefinitionsAttributes

    public Map<String,List<ExtensionAttribute>> getDefinitionsAttributes()

  - ### getDefinitionsAttributeValue

    public String getDefinitionsAttributeValue(String namespace, String name)

  - ### addDefinitionsAttribute

    public void addDefinitionsAttribute(ExtensionAttribute attribute)

  - ### setDefinitionsAttributes

    public void setDefinitionsAttributes(Map<String,List<ExtensionAttribute>> attributes)